\name{TileShuffleCheck}
\alias{TileShuffleCheck}
\title{TileShuffleCheck}
\usage{TileShuffleCheck(input.type, signal.filename, cel.filename,
    cel2.filename, celinc.filename, custom.filename, custom2.filename,
    custominc.filename, bpmap.filename, minhits, group, pmonly,
    normalize, mod.tstat, noofperms, winsize, qvalue, gcmode, gcnum,
    score.function, randomize, diff, diff.variant, regions.filename,
    zscore.filename, output.filename, verbose)}
\description{Checks parameter for exported function \code{\link{TileShuffle}}.}
\details{Checks parameter for exported function \code{\link{TileShuffle}} whether
they are missing, have a incorrect data type, or are obviously not correct,
e.g., filename parameter refers to non-existing file.}
\value{None but the given paramters into their correct data type if
necessary and possible.}
\keyword{internal}
\arguments{\item{input.type}{An \code{integer} value from the set of valid values
(1, 2, or 3).}
\item{signal.filename}{Filename as a \code{character} to existing file.}
\item{cel.filename}{A \code{vector} of one or more filenames as a
\code{character} to existing files.}
\item{cel2.filename}{A \code{vector} of one or more filename as a
\code{character} to existing files or set to \code{NULL}.}
\item{celinc.filename}{A \code{vector} of filenames or one or more
filenames as \code{character} to existing files or set to
\code{NULL}.}
\item{custom.filename}{A \code{vector} of one or more filenames as a
\code{character} to existing files.}
\item{custom2.filename}{A \code{vector} of one or more filename as a
\code{character} to existing files or set to \code{NULL}.}
\item{custominc.filename}{A \code{vector} of filenames or one or more
filenames as \code{character} to existing files or set to
\code{NULL}.}
\item{bpmap.filename}{Filename as a \code{character} to existing file.}
\item{minhits}{An \code{integer} value.}
\item{group}{A \code{character} value.}
\item{pmonly}{A \code{logical} value.}
\item{normalize}{A \code{logical} value.}
\item{mod.tstat}{A \code{logical} value.}
\item{noofperms}{An \code{integer} value greater than zero.}
\item{winsize}{An \code{integer} value greater than zero.}
\item{qvalue}{A \code{numeric} value between zero and one (both boundaries
included).}
\item{gcmode}{A \code{character} value from the set of valid values
("fixed", "automatic").}
\item{gcnum}{An \code{integer} value. If \code{gcmode} is set to "fixed"
only values from the set (1, 2, 3, 4, or 5) are valid.}
\item{score.function}{A \code{character} value from the set of valid values
("mean", "trimmed", or "median").}
\item{randomize}{A \code{logical} value.}
\item{diff}{A \code{logical} value.}
\item{diff.variant}{A \code{character} value from the set of valid values
("A" or "B"). Only required if \code{diff} is enabled.}
\item{regions.filename}{Filename as a \code{character} to existing file or
set to \code{NULL}.}
\item{zscore.filename}{Filename as a \code{character} or set to \code{NULL}.}
\item{output.filename}{Filename as a \code{character}.}
\item{verbose}{A \code{logical} value.}}
